/** 
 * BaseCommentVO.java
 * @author 임새미 
 * @since 2016. 10. 26.
 *
 *  	 수정일                     수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2016. 10. 26. 	    임새미				       최초생성
 * 
 */
package kcg.faics.cmmn.bbs;

import java.util.Date;

/** 
 * BaseCommentVO.java
 * @author 임새미 
 * @since 2016. 10. 26.
 *
 *  	 수정일                     수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2016. 10. 26. 	    임새미				       최초생성
 * 
 */
public class BaseCommentVO {

	/**
	 *  댓글 번호
	 */
	private int seq;
	/**
	 *  댓글 등록자 이름
	 */
	private String userName;
	/**
	 *  댓글 내용
	 */
	private String content;
	/**
	 *  댓글 등록 시간
	 */
	private Date regdate;
	/**
	 *  댓글 등록자 IP
	 */
	private String ip;
	/**
	 *  댓글 등록자 아이디
	 */
	private String userId;
	/**
	 *  댓글이 달린 대상의 아이디
	 */
	private int parentSeq;
	
	/**
	 * @return 댓글 번호
	 */
	public int getSeq() {
		return seq;
	}
	/**
	 * @param 댓글 번호
	 */
	public void setSeq(int seq) {
		this.seq = seq;
	}
	
	/**
	 * @return 댓글 등록자 이름
	 */
	public String getUserName() {
		return userName;
	}
	/**
	 * @param 댓글 등록자 이름
	 */
	public void setUserName(String userName) {
		this.userName = userName;
	}
	/**
	 * @return 댓글 내용
	 */
	public String getContent() {
		return content;
	}
	/**
	 * @param 댓글 내용
	 */
	public void setContent(String content) {
		this.content = content;
	}
	/**
	 * @return 댓글 등록 시간
	 */
	public Date getRegdate() {
		return regdate;
	}
	/**
	 * @param 댓글 등록 시간
	 */
	public void setRegdate(Date regdate) {
		this.regdate = regdate;
	}
	/**
	 * @return 댓글 등록자 IP
	 */
	public String getIp() {
		return ip;
	}
	/**
	 * @param 댓글 등록자 IP
	 */
	public void setIp(String ip) {
		this.ip = ip;
	}
	/**
	 * @return 댓글 등록자 아이디
	 */
	public String getUserId() {
		return userId;
	}
	/**
	 * @param 댓글 등록자 아이디
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}
	/**
	 * @return 댓글이 달린 대상의 아이디
	 */
	public int getParentSeq() {
		return parentSeq;
	}
	/**
	 * @param 댓글이 달린 대상의 아이디
	 */
	public void setParentSeq(int parentSeq) {
		this.parentSeq = parentSeq;
	}
	
}
